Skip to main content
`Ctrl`+`K`

# MatDenseRestoreArrayReadAndMemType

returns access to the array that is obtained by `MatDenseGetArrayReadAndMemType()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseRestoreArrayReadAndMemType(Mat A, const PetscScalar *array[])

Logically Collective

## Input Parameters

- A - a dense matrix

- array - pointer to the data

## See Also

Matrices, `Mat`, `MATDENSE`, `MatDenseGetArrayReadAndMemType()`, `MatDenseGetArray()`, `MatDenseGetArrayRead()`, `MatDenseRestoreArrayRead()`, `MatDenseGetArrayWrite()`, `MatDenseRestoreArrayWrite()`

## Level

intermediate

## Location

src/mat/impls/dense/seq/dense.c

## Examples

src/mat/tutorials/ex19.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages